/// <reference types="node" />
import { BiliCredential } from "./biliCredential";
/**
 * 登录
 */
export declare class Login {
    constructor();
    /**
     * 获取二维码链接
     * @returns
     */
    private static _getQRcode;
    /**
     * 进行扫码登录
     * @param oauthKey 扫码登录秘钥
     * @returns
     */
    private static _getQRloginInfo;
    /**
     * 输出QRcode渲染结果
     * @param output 选择输出形式
     */
    static renderQR(text: string, output: "buffer"): Promise<Buffer>;
    static renderQR(text: string, output: "string"): Promise<string>;
    static renderQR(text: string, output: "terminal"): Promise<void>;
    /**
     * 扫码登录
     * @returns
     */
    static loginQR(): Promise<BiliCredential>;
}
//# sourceMappingURL=login.d.ts.map